<?php
class Insert extends CI_Controller {
    
    
    function __construct()
    {
        parent::__construct();
        $this->load->model('Insert_data');
		
    }
    
    public function set_profile()
    {
        $this->Insert_data->set_profile();
        redirect('App/profile', 'location');
    }
	
	public function in_slider()
	{
		$this->Insert_data->set_slider();
		$this->session->set_flashdata('success_slider','Slider inserted successfully..');
		redirect('App/slider', 'location');
	}
	public function in_team()
	{
		$this->Insert_data->set_team();
		$this->session->set_flashdata('success_team','Data inserted successfully..');
		redirect('App/team', 'location');		
	}
	public function in_service()
	{
		$this->Insert_data->set_service();
		$this->session->set_flashdata('success_infra','Data inserted successfully..');
		redirect('App/service', 'location');		
	}
	public function in_gallery()
	{
		$this->Insert_data->set_gallery();
		$this->session->set_flashdata('success_gallery','Image inserted successfully..');
		redirect('App/gallery','location');
	}
	public function in_client()
	{
		$this->Insert_data->set_client();
		$this->session->set_flashdata('success_pcategory','Product Category inserted successfully..');
		redirect('App/client', 'location');		
	}
	public function in_product()
	{
		$this->Insert_data->setproduct();
		$this->session->set_flashdata('success_product','Product inserted successfully..');
		redirect('App/products', 'location');		
	}
	
	public function in_about()
	{
		$this->Insert_data->set_about();
		redirect('App/slider', 'location');		
	}
	
	public function in_gtype()
	{
		$this->Insert_data->set_gtype();
		$this->session->set_flashdata('success_gallerytype','Type inserted successfully..');
		redirect('index.php/app/gallery_type','location');
	}
	
	public function in_video()
	{
		$this->Insert_data->set_video();
		$this->session->set_flashdata('success_video','Video link inserted successfully..');
		redirect('index.php/app/video','location');
	}
	public function in_test()
	{
		$this->Insert_data->set_test();
		$this->session->set_flashdata('success_test','Testmonial inserted successfully..');
		redirect('index.php/app/testmonial','location');
	}
	
	public function in_pdf()
	{
		$this->Insert_data->set_pdf();
		redirect('app/pdf','location');
	}
}
